Last Comment Bug 1156565 - Fix Telemetry histograms that expired in version 40
: Fix Telemetry histograms that expired in version 40
Status: RESOLVED FIXED
:
Product: Toolkit
Classification: Components
Component: Telemetry (show other bugs)
: unspecified
: x86_64 Windows 7
-- normal (vote)
: mozilla40
Assigned To: Vladan Djeric (:vladan)
:
: Georg Fritzsche [:gfritzsche]
Mentors:
Depends on:
Blocks: 1136118 1150529
  Show dependency treegraph
 
Reported: 2015-04-20 17:00 PDT by Vladan Djeric (:vladan)
Modified: 2016-06-24 02:12 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
fix_expired.patch (81.19 KB, patch)
2015-04-20 17:01 PDT, Vladan Djeric (:vladan)
vladan.bugzilla: review+
Details | Diff | Splinter Review

Description User image Vladan Djeric (:vladan) 2015-04-20 17:00:20 PDT
This bug deals with Telemetry histograms that were set to expire in version 40. 

I fixed the expiry dates for histograms which were not supposed to expire.
I added comments to the histogram's description field for histograms that did need to expire. The owners of those histograms need to remove their expired histogram and the accumulation code.
Comment 1 User image Vladan Djeric (:vladan) 2015-04-20 17:01:29 PDT
Created attachment 8595043 [details] [diff] [review]
fix_expired.patch

Moved the patch out of bug 1136118
Comment 2 User image Vladan Djeric (:vladan) 2015-04-20 17:02:20 PDT
The patch fixes probe expiry dates based on the following data sources:

1. Emails and conversation summarized in https://etherpad.mozilla.org/telemetryprobes40
2. Comments in bug 1045108
3. Comments in bug 1149284
Comment 3 User image Marco Bonardo [::mak] 2015-04-21 00:24:47 PDT
the moz_sqlite probes had been setup correctly at the last iteration over probes, now I see you set back all of them to expire on 50.
The ones marked as never were considered important, while the others could even go, nobody is using those cause they don't report interesting enough data.
Could you please avoid converting "never" to "50"? Anything else is ok.
We can also file a bug to remove the not-never probes imo.
Comment 5 User image Vladan Djeric (:vladan) 2015-04-24 18:07:27 PDT
Comment on attachment 8595043 [details] [diff] [review]
fix_expired.patch

Landed, with Roberto's r+ and Mak's objections applied

https://hg.mozilla.org/integration/mozilla-inbound/rev/843442ce3f07
Comment 6 User image Carsten Book [:Tomcat] 2015-04-27 03:05:59 PDT
https://hg.mozilla.org/mozilla-central/rev/843442ce3f07

Note You need to log in before you can comment on or make changes to this bug.